
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionForm.java
 * Description    : Form Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspection.form;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

import javax.servlet.http.HttpServletRequest;

import java.util.Collection;

public class AesopinspectionForm extends ActionForm  {

    private String pkey;
    private String combovalue;
    private String user_eid;
    private String document_eid;
    private String overview_eid;
    private String eid;
    private String teamname;
    private String result_type;
    private String result_type_description;
    private String date;
    private String doc_size_expect;
    private String doc_size_result;
    private String overview_time;
    private String preparation_time;
    private String inspection_time;
    private String majorcount;
    private String minorcount;
    private String reinspection_yn;
    private String reinspection_date;
    private String rework_check_user_eid;
    private String rework_time;
    private String producer_eid;
    private String moderator_eid;
    private String reader_eid;
    private String recorder_eid;
    private String inspector1_eid;
    private String inspector2_eid;
    private String inspector3_eid;
    private String inspector4_eid;
    private String inspector5_eid;
    private String inspector6_eid;
    private String inspector7_eid;
    private String inspector8_eid;
    private String inspector9_eid;
    private String inspector10_eid;
    private String result_type_cd;
    private String reinspection_yn_cd;
    private String rework_check_user_eid_cd;
    private String producer_eid_cd;
    private String moderator_eid_cd;
    private String reader_eid_cd;
    private String recorder_eid_cd;
    private String inspector1_eid_cd;
    private String inspector2_eid_cd;
    private String inspector3_eid_cd;
    private String inspector4_eid_cd;
    private String inspector5_eid_cd;
    private String inspector6_eid_cd;
    private String inspector7_eid_cd;
    private String inspector8_eid_cd;
    private String inspector9_eid_cd;
    private String inspector10_eid_cd;

    public synchronized String getPkey(){
        return pkey;
    }

    public synchronized void setPkey( String pkey ){
        this.pkey = pkey;
    }

    public synchronized String getCombovalue(){
        return combovalue;
    }

    public synchronized void setCombovalue( String combovalue ){
        this.combovalue = combovalue;
    }

    public synchronized String getUser_eid(){
        return user_eid;
    }

    public synchronized void setUser_eid( String user_eid ){
        this.user_eid = user_eid;
    }

    public synchronized String getDocument_eid(){
        return document_eid;
    }

    public synchronized void setDocument_eid( String document_eid ){
        this.document_eid = document_eid;
    }

    public synchronized String getOverview_eid(){
        return overview_eid;
    }

    public synchronized void setOverview_eid( String overview_eid ){
        this.overview_eid = overview_eid;
    }

    public synchronized String getEid(){
        return eid;
    }

    public synchronized void setEid( String eid ){
        this.eid = eid;
    }

    public synchronized String getTeamname(){
        return teamname;
    }

    public synchronized void setTeamname( String teamname ){
        this.teamname = teamname;
    }

    public synchronized String getResult_type(){
        return result_type;
    }

    public synchronized void setResult_type( String result_type ){
        this.result_type = result_type;
    }

    public synchronized String getResult_type_description(){
        return result_type_description;
    }

    public synchronized void setResult_type_description( String result_type_description ){
        this.result_type_description = result_type_description;
    }

    public synchronized String getDate(){
        return date;
    }

    public synchronized void setDate( String date ){
        this.date = date;
    }

    public synchronized String getDoc_size_expect(){
        return doc_size_expect;
    }

    public synchronized void setDoc_size_expect( String doc_size_expect ){
        this.doc_size_expect = doc_size_expect;
    }

    public synchronized String getDoc_size_result(){
        return doc_size_result;
    }

    public synchronized void setDoc_size_result( String doc_size_result ){
        this.doc_size_result = doc_size_result;
    }

    public synchronized String getOverview_time(){
        return overview_time;
    }

    public synchronized void setOverview_time( String overview_time ){
        this.overview_time = overview_time;
    }

    public synchronized String getPreparation_time(){
        return preparation_time;
    }

    public synchronized void setPreparation_time( String preparation_time ){
        this.preparation_time = preparation_time;
    }

    public synchronized String getInspection_time(){
        return inspection_time;
    }

    public synchronized void setInspection_time( String inspection_time ){
        this.inspection_time = inspection_time;
    }

    public synchronized String getMajorcount(){
        return majorcount;
    }

    public synchronized void setMajorcount( String majorcount ){
        this.majorcount = majorcount;
    }

    public synchronized String getMinorcount(){
        return minorcount;
    }

    public synchronized void setMinorcount( String minorcount ){
        this.minorcount = minorcount;
    }

    public synchronized String getReinspection_yn(){
        return reinspection_yn;
    }

    public synchronized void setReinspection_yn( String reinspection_yn ){
        this.reinspection_yn = reinspection_yn;
    }

    public synchronized String getReinspection_date(){
        return reinspection_date;
    }

    public synchronized void setReinspection_date( String reinspection_date ){
        this.reinspection_date = reinspection_date;
    }

    public synchronized String getRework_check_user_eid(){
        return rework_check_user_eid;
    }

    public synchronized void setRework_check_user_eid( String rework_check_user_eid ){
        this.rework_check_user_eid = rework_check_user_eid;
    }

    public synchronized String getRework_time(){
        return rework_time;
    }

    public synchronized void setRework_time( String rework_time ){
        this.rework_time = rework_time;
    }

    public synchronized String getProducer_eid(){
        return producer_eid;
    }

    public synchronized void setProducer_eid( String producer_eid ){
        this.producer_eid = producer_eid;
    }

    public synchronized String getModerator_eid(){
        return moderator_eid;
    }

    public synchronized void setModerator_eid( String moderator_eid ){
        this.moderator_eid = moderator_eid;
    }

    public synchronized String getReader_eid(){
        return reader_eid;
    }

    public synchronized void setReader_eid( String reader_eid ){
        this.reader_eid = reader_eid;
    }

    public synchronized String getRecorder_eid(){
        return recorder_eid;
    }

    public synchronized void setRecorder_eid( String recorder_eid ){
        this.recorder_eid = recorder_eid;
    }

    public synchronized String getInspector1_eid(){
        return inspector1_eid;
    }

    public synchronized void setInspector1_eid( String inspector1_eid ){
        this.inspector1_eid = inspector1_eid;
    }

    public synchronized String getInspector2_eid(){
        return inspector2_eid;
    }

    public synchronized void setInspector2_eid( String inspector2_eid ){
        this.inspector2_eid = inspector2_eid;
    }

    public synchronized String getInspector3_eid(){
        return inspector3_eid;
    }

    public synchronized void setInspector3_eid( String inspector3_eid ){
        this.inspector3_eid = inspector3_eid;
    }

    public synchronized String getInspector4_eid(){
        return inspector4_eid;
    }

    public synchronized void setInspector4_eid( String inspector4_eid ){
        this.inspector4_eid = inspector4_eid;
    }

    public synchronized String getInspector5_eid(){
        return inspector5_eid;
    }

    public synchronized void setInspector5_eid( String inspector5_eid ){
        this.inspector5_eid = inspector5_eid;
    }

    public synchronized String getInspector6_eid(){
        return inspector6_eid;
    }

    public synchronized void setInspector6_eid( String inspector6_eid ){
        this.inspector6_eid = inspector6_eid;
    }

    public synchronized String getInspector7_eid(){
        return inspector7_eid;
    }

    public synchronized void setInspector7_eid( String inspector7_eid ){
        this.inspector7_eid = inspector7_eid;
    }

    public synchronized String getInspector8_eid(){
        return inspector8_eid;
    }

    public synchronized void setInspector8_eid( String inspector8_eid ){
        this.inspector8_eid = inspector8_eid;
    }

    public synchronized String getInspector9_eid(){
        return inspector9_eid;
    }

    public synchronized void setInspector9_eid( String inspector9_eid ){
        this.inspector9_eid = inspector9_eid;
    }

    public synchronized String getInspector10_eid(){
        return inspector10_eid;
    }

    public synchronized void setInspector10_eid( String inspector10_eid ){
        this.inspector10_eid = inspector10_eid;
    }

    public synchronized String getResult_type_cd(){
        return result_type_cd;
    }

    public synchronized void setResult_type_cd( String result_type_cd ){
        this.result_type_cd = result_type_cd;
    }

    public synchronized String getReinspection_yn_cd(){
        return reinspection_yn_cd;
    }

    public synchronized void setReinspection_yn_cd( String reinspection_yn_cd ){
        this.reinspection_yn_cd = reinspection_yn_cd;
    }

    public synchronized String getRework_check_user_eid_cd(){
        return rework_check_user_eid_cd;
    }

    public synchronized void setRework_check_user_eid_cd( String rework_check_user_eid_cd ){
        this.rework_check_user_eid_cd = rework_check_user_eid_cd;
    }

    public synchronized String getProducer_eid_cd(){
        return producer_eid_cd;
    }

    public synchronized void setProducer_eid_cd( String producer_eid_cd ){
        this.producer_eid_cd = producer_eid_cd;
    }

    public synchronized String getModerator_eid_cd(){
        return moderator_eid_cd;
    }

    public synchronized void setModerator_eid_cd( String moderator_eid_cd ){
        this.moderator_eid_cd = moderator_eid_cd;
    }

    public synchronized String getReader_eid_cd(){
        return reader_eid_cd;
    }

    public synchronized void setReader_eid_cd( String reader_eid_cd ){
        this.reader_eid_cd = reader_eid_cd;
    }

    public synchronized String getRecorder_eid_cd(){
        return recorder_eid_cd;
    }

    public synchronized void setRecorder_eid_cd( String recorder_eid_cd ){
        this.recorder_eid_cd = recorder_eid_cd;
    }

    public synchronized String getInspector1_eid_cd(){
        return inspector1_eid_cd;
    }

    public synchronized void setInspector1_eid_cd( String inspector1_eid_cd ){
        this.inspector1_eid_cd = inspector1_eid_cd;
    }

    public synchronized String getInspector2_eid_cd(){
        return inspector2_eid_cd;
    }

    public synchronized void setInspector2_eid_cd( String inspector2_eid_cd ){
        this.inspector2_eid_cd = inspector2_eid_cd;
    }

    public synchronized String getInspector3_eid_cd(){
        return inspector3_eid_cd;
    }

    public synchronized void setInspector3_eid_cd( String inspector3_eid_cd ){
        this.inspector3_eid_cd = inspector3_eid_cd;
    }

    public synchronized String getInspector4_eid_cd(){
        return inspector4_eid_cd;
    }

    public synchronized void setInspector4_eid_cd( String inspector4_eid_cd ){
        this.inspector4_eid_cd = inspector4_eid_cd;
    }

    public synchronized String getInspector5_eid_cd(){
        return inspector5_eid_cd;
    }

    public synchronized void setInspector5_eid_cd( String inspector5_eid_cd ){
        this.inspector5_eid_cd = inspector5_eid_cd;
    }

    public synchronized String getInspector6_eid_cd(){
        return inspector6_eid_cd;
    }

    public synchronized void setInspector6_eid_cd( String inspector6_eid_cd ){
        this.inspector6_eid_cd = inspector6_eid_cd;
    }

    public synchronized String getInspector7_eid_cd(){
        return inspector7_eid_cd;
    }

    public synchronized void setInspector7_eid_cd( String inspector7_eid_cd ){
        this.inspector7_eid_cd = inspector7_eid_cd;
    }

    public synchronized String getInspector8_eid_cd(){
        return inspector8_eid_cd;
    }

    public synchronized void setInspector8_eid_cd( String inspector8_eid_cd ){
        this.inspector8_eid_cd = inspector8_eid_cd;
    }

    public synchronized String getInspector9_eid_cd(){
        return inspector9_eid_cd;
    }

    public synchronized void setInspector9_eid_cd( String inspector9_eid_cd ){
        this.inspector9_eid_cd = inspector9_eid_cd;
    }

    public synchronized String getInspector10_eid_cd(){
        return inspector10_eid_cd;
    }

    public synchronized void setInspector10_eid_cd( String inspector10_eid_cd ){
        this.inspector10_eid_cd = inspector10_eid_cd;
    }


    //public ActionErrors validate( ActionMapping mapping, HttpServletRequest request ) {
    //    ActionErrors errors = new ActionErrors();
    //
    //    if ( getName() == null || getName().length() < 1 ) {
    //        errors.add("name",new ActionError("error.name.required"));
    //    }
    //
    //    if ( getAge() == null || getAge().length() < 1 ) {
    //        errors.add("age",new ActionError("error.age.required"));
    //    }
    //    else {
    //        try {
    //           Integer.parseInt( getAge() );
    //        } catch( NumberFormatException ne ) {
    //            errors.add("age",new ActionError("error.age.integer"));
    //        }
    //    }
    //    return errors;
    //}

}
