
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionlistForm.java
 * Description    : Form Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.form;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

import javax.servlet.http.HttpServletRequest;

import java.util.Collection;

public class AesopinspectionlistForm extends ActionForm  {

    private String pkey;
    private String combovalue;
    private String user_eid;
    private String document_eid;
    private String overview_eid;
    private String inspection_eid;
    private String preparation_eid;
    private String inspectionlist_eid;
    private String detect_position;
    private String defect_weight;
    private String defect_weight_lb;
    private String defect_type;
    private String stage;
    private String comments;
    private String fix_yn;
    private String fix_time;
    private String defect_weight_cd;
    private String defect_type_cd;
    private String stage_cd;
    private String fix_yn_cd;
    
    
	public synchronized String getDefect_weight_lb() {
		return defect_weight_lb;
	}
	public synchronized void setDefect_weight_lb(String defect_weight_lb) {
		this.defect_weight_lb = defect_weight_lb;
	}
	public synchronized String getCombovalue() {
		return combovalue;
	}
	public synchronized void setCombovalue(String combovalue) {
		this.combovalue = combovalue;
	}
	public synchronized String getComments() {
		return comments;
	}
	public synchronized void setComments(String comments) {
		this.comments = comments;
	}
	public synchronized String getDefect_type() {
		return defect_type;
	}
	public synchronized void setDefect_type(String defect_type) {
		this.defect_type = defect_type;
	}
	public synchronized String getDefect_type_cd() {
		return defect_type_cd;
	}
	public synchronized void setDefect_type_cd(String defect_type_cd) {
		this.defect_type_cd = defect_type_cd;
	}
	public synchronized String getDefect_weight() {
		return defect_weight;
	}
	public synchronized void setDefect_weight(String defect_weight) {
		this.defect_weight = defect_weight;
	}
	public synchronized String getDefect_weight_cd() {
		return defect_weight_cd;
	}
	public synchronized void setDefect_weight_cd(String defect_weight_cd) {
		this.defect_weight_cd = defect_weight_cd;
	}
	public synchronized String getDetect_position() {
		return detect_position;
	}
	public synchronized void setDetect_position(String detect_position) {
		this.detect_position = detect_position;
	}
	public synchronized String getDocument_eid() {
		return document_eid;
	}
	public synchronized void setDocument_eid(String document_eid) {
		this.document_eid = document_eid;
	}
	public synchronized String getFix_time() {
		return fix_time;
	}
	public synchronized void setFix_time(String fix_time) {
		this.fix_time = fix_time;
	}
	public synchronized String getFix_yn() {
		return fix_yn;
	}
	public synchronized void setFix_yn(String fix_yn) {
		this.fix_yn = fix_yn;
	}
	public synchronized String getFix_yn_cd() {
		return fix_yn_cd;
	}
	public synchronized void setFix_yn_cd(String fix_yn_cd) {
		this.fix_yn_cd = fix_yn_cd;
	}
	public synchronized String getInspection_eid() {
		return inspection_eid;
	}
	public synchronized void setInspection_eid(String inspection_eid) {
		this.inspection_eid = inspection_eid;
	}
	public synchronized String getInspectionlist_eid() {
		return inspectionlist_eid;
	}
	public synchronized void setInspectionlist_eid(String inspectionlist_eid) {
		this.inspectionlist_eid = inspectionlist_eid;
	}
	public synchronized String getOverview_eid() {
		return overview_eid;
	}
	public synchronized void setOverview_eid(String overview_eid) {
		this.overview_eid = overview_eid;
	}
	public synchronized String getPkey() {
		return pkey;
	}
	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}
	public synchronized String getPreparation_eid() {
		return preparation_eid;
	}
	public synchronized void setPreparation_eid(String preparation_eid) {
		this.preparation_eid = preparation_eid;
	}
	public synchronized String getStage() {
		return stage;
	}
	public synchronized void setStage(String stage) {
		this.stage = stage;
	}
	public synchronized String getStage_cd() {
		return stage_cd;
	}
	public synchronized void setStage_cd(String stage_cd) {
		this.stage_cd = stage_cd;
	}
	public synchronized String getUser_eid() {
		return user_eid;
	}
	public synchronized void setUser_eid(String user_eid) {
		this.user_eid = user_eid;
	}

    


    //public ActionErrors validate( ActionMapping mapping, HttpServletRequest request ) {
    //    ActionErrors errors = new ActionErrors();
    //
    //    if ( getName() == null || getName().length() < 1 ) {
    //        errors.add("name",new ActionError("error.name.required"));
    //    }
    //
    //    if ( getAge() == null || getAge().length() < 1 ) {
    //        errors.add("age",new ActionError("error.age.required"));
    //    }
    //    else {
    //        try {
    //           Integer.parseInt( getAge() );
    //        } catch( NumberFormatException ne ) {
    //            errors.add("age",new ActionError("error.age.integer"));
    //        }
    //    }
    //    return errors;
    //}

}
