
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesoppreparationlistService.java
 * Description    : Service Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparationlist.service;

import cc.struts.cian3.aesoppreparationlist.dto.AesoppreparationlistDTO;
import cc.struts.cian3.aesoppreparation.dto.AesoppreparationDTO;
import cc.struts.cian3.aesoppreparationlist.dao.AesoppreparationlistDAO;
import cc.struts.cian3.aesoppreparation.dao.AesoppreparationDAO;
import cc.struts.cian3.dao.SuperDAO;

import java.util.Collection;


import cc.struts.cian3.exception.DatabaseException;

public class AesoppreparationlistService {

    public AesoppreparationlistDTO insertAesoppreparationlist( AesoppreparationlistDTO aesoppreparationlist ) throws DatabaseException {
        int count=0;

        try {
        	AesoppreparationDAO dao2 = new AesoppreparationDAO();
            AesoppreparationDTO aesoppreparation = new AesoppreparationDTO();
            
            //ڵ  ʿ.
            aesoppreparation.setDocument_eid( aesoppreparationlist.getDocument_eid() ); 
            aesoppreparation.setUser_eid( aesoppreparationlist.getUser_eid() );
            aesoppreparation.setOverview_eid( aesoppreparationlist.getOverview_eid() );
            aesoppreparation.setPreparation_eid( aesoppreparationlist.getPreparation_eid() );
            aesoppreparation.setConsumed_time( aesoppreparationlist.getConsumed_time() );
            count = dao2.updateAesoppreparation( aesoppreparation );
            if( count==0 ){
                count = dao2.insertAesoppreparation( aesoppreparation );
            }

            AesoppreparationlistDAO dao = new AesoppreparationlistDAO();
            aesoppreparationlist.setPreparationlist_eid( dao.selectSeq( aesoppreparationlist ) );
            count = dao.insertAesoppreparationlist( aesoppreparationlist );
            
            
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }

        return aesoppreparationlist;
    }

    public AesoppreparationlistDTO[] selectAesoppreparationlistList( AesoppreparationlistDTO aesoppreparationlist ) throws DatabaseException {
        AesoppreparationlistDTO[] arrDto = null;

        try {
            AesoppreparationlistDAO dao = new AesoppreparationlistDAO();
            arrDto = dao.selectAesoppreparationlistList( aesoppreparationlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }

    public AesoppreparationlistDTO[] selectAesoppreparationalllistList( AesoppreparationlistDTO aesoppreparationlist ) throws DatabaseException {
        AesoppreparationlistDTO[] arrDto = null;

        try {
            AesoppreparationlistDAO dao = new AesoppreparationlistDAO();
            arrDto = dao.selectAesoppreparationalllistList( aesoppreparationlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return arrDto;
    }
    
    public AesoppreparationlistDTO selectAesoppreparationlist( AesoppreparationlistDTO aesoppreparationlist ) throws DatabaseException {
        AesoppreparationlistDTO dto = new AesoppreparationlistDTO();

        try {
            AesoppreparationlistDAO dao = new AesoppreparationlistDAO();
            dto = dao.selectAesoppreparationlist( aesoppreparationlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return dto;
    }


    public AesoppreparationlistDTO updateAesoppreparationlist( AesoppreparationlistDTO aesoppreparationlist ) throws DatabaseException {
        int count=0;

        try {
            AesoppreparationlistDAO dao = new AesoppreparationlistDAO();
            count = dao.updateAesoppreparationlist( aesoppreparationlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesoppreparationlist;
    }

    public AesoppreparationlistDTO deleteAesoppreparationlist( AesoppreparationlistDTO aesoppreparationlist ) throws DatabaseException {
        int count=0;

        try {
            AesoppreparationlistDAO dao = new AesoppreparationlistDAO();
            count = dao.deleteAesoppreparationlist( aesoppreparationlist );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return aesoppreparationlist;
    }
    
    public Collection selectDefect_weightCodeList() throws DatabaseException {
        Collection collection = null;

        try {
            SuperDAO dao = new SuperDAO();
            collection = dao.selectCodeList( 2104 );
        }
        catch( DatabaseException de ) {
            //log error
            throw de;
        }
        return collection;
    }

}
