
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspectionlist.selectlist"/></title>
  </head>
  <body>
 
    <bean:message key="menu.4"/>  
    <h1><bean:message key="title.aesopinspectionlist.selectlist"/></h1>
    <table border=1>
    <c:forEach var="arrDto" items="${arrDto}">
      <tr>
        <td><a href='<%=request.getContextPath()%>/SelectAesopinspectionlist.do?user_eid=<c:out value="${arrDto.user_eid}"/>'><c:out value="${arrDto.user_eid}"/></a></td>
        <td><c:out value="${arrDto.document_eid}"/></td>
        <td><c:out value="${arrDto.overview_eid}"/></td>
        <td><c:out value="${arrDto.inspection_eid}"/></td>
        <td><c:out value="${arrDto.inspectionlist_eid}"/></td>
        <td><c:out value="${arrDto.detect_position}"/></td>
        <td><c:out value="${arrDto.defect_weight}"/></td>
        <td><c:out value="${arrDto.defect_type}"/></td>
        <td><c:out value="${arrDto.stage}"/></td>
        <td><c:out value="${arrDto.comments}"/></td>
        <td><c:out value="${arrDto.fix_yn}"/></td>
        <td><c:out value="${arrDto.fix_time}"/></td>
      </tr>
    </c:forEach>
    </table>
    <html:link page="/InsertAesopinspectionlistInit.do"><bean:message key="title.aesopinspectionlist.insert"/></html:link><br>
  </body>
</html>
