
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopuser.update"/></title>
  </head>
  <body>
  <h1><bean:message key="title.aesopuser.update"/></h1>
  <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
  </logic:messagesPresent>
  <logic:messagesPresent message="true">
         <html:messages id="message" message="true">
           <span id="success"><c:out value="${message}"/></span><br>
         </html:messages>
  </logic:messagesPresent>
  <html:form action="UpdateAesopuserAction" focus="name">
  <html:hidden name="AesopuserForm" property="eid"/>
  <table>
    <tr>
      <td>̵:</td>
      <td><html:text property="userid"/></td>
    </tr>
    <tr>
      <td≯:</td>
      <td><html:text property="name"/></td>
    </tr>
    <tr>
      <td>ȣ:</td>
      <td><html:text property="password"/></td>
    </tr>
    <tr>
      <td≯:</td>
      <td><html:text property="email"/></td>
    </tr>
    <tr>
      <td>뿩:</td>
      <td>
        <html:select name="AesopuserForm" property="use_yn">
          <html:options collection="use_yn_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>:</td>
      <td>
        <html:select name="AesopuserForm" property="delete_yn">
          <html:options collection="delete_yn_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
  </table>
  <html:submit><bean:message key="button.update"/></html:submit>
  </html:form>
  <html:link page="/SelectAesopuserList.do"><bean:message key="title.aesopuser.selectlist"/></html:link>
  </body>
</html>
