
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinitDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinit.dto;

public class AesopinitDTO {

    private String p1;  //id
    private String p2;  //cryped password from zeroboard
    private String primarykey;
    private String name;
    private String email;
    
    public AesopinitDTO() {
        super();
    }

    
	public synchronized String getEmail() {
		return email;
	}


	public synchronized void setEmail(String email) {
		this.email = email;
	}


	public synchronized String getName() {
		return name;
	}


	public synchronized void setName(String name) {
		this.name = name;
	}


	public synchronized String getPrimarykey() {
		return primarykey;
	}


	public synchronized void setPrimarykey(String primarykey) {
		this.primarykey = primarykey;
	}


	public synchronized String getP1() {
		return p1;
	}

	public synchronized void setP1(String p1) {
		this.p1 = p1;
	}

	public synchronized String getP2() {
		return p2;
	}

	public synchronized void setP2(String p2) {
		this.p2 = p2;
	}



}
