
/*
 * -----------------------------------------------------------------------------
 * File  Name     : InsertAesopinspectionlistInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopinspectionlist.service.AesopinspectionlistService;
import cc.struts.cian3.aesopinspectionlist.form.AesopinspectionlistForm;
import cc.struts.cian3.aesoppreparation.dto.AesoppreparationDTO;
import cc.struts.cian3.aesoppreparationlist.dto.AesoppreparationlistDTO;
import cc.struts.cian3.aesopinspectionlist.dto.AesopinspectionlistDTO;
import cc.struts.cian3.aesoppreparationlist.form.AesoppreparationlistForm;
import cc.struts.cian3.aesoppreparationlist.service.AesoppreparationlistService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class InsertAesopinspectionlistInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {

        AesopinspectionlistService service = new AesopinspectionlistService();
        HttpSession session = request.getSession();
        
        AesopinspectionlistForm aesopinspectionlistForm = (AesopinspectionlistForm) form;
        AesopinspectionlistDTO aesopinspectionlistDTO = new AesopinspectionlistDTO();
        BeanUtils.copyProperties( aesopinspectionlistDTO, aesopinspectionlistForm );
        
        request.setAttribute( "dto", aesopinspectionlistDTO );
        
        
        //  inspector  preparation list  о .
        AesoppreparationlistService service3 = new AesoppreparationlistService();        
        AesoppreparationlistDTO aesoppreparationlistDTO3 = new AesoppreparationlistDTO();
        AesoppreparationlistDTO[] arrDto3 = null;
        
        AesoppreparationDTO aesoppreparationDTO3 = new AesoppreparationDTO();
        // Ȯ ʿ.
        aesoppreparationlistDTO3.setUser_eid( aesopinspectionlistDTO.getUser_eid() );
        aesoppreparationlistDTO3.setDocument_eid( aesopinspectionlistDTO.getDocument_eid() );
        aesoppreparationlistDTO3.setOverview_eid( aesopinspectionlistDTO.getOverview_eid() );
        aesoppreparationlistDTO3.setPreparation_eid( aesopinspectionlistDTO.getPreparation_eid() );

        arrDto3 = service3.selectAesoppreparationalllistList( aesoppreparationlistDTO3 );
        request.setAttribute( "arrDto", arrDto3 );

        // inspection list  о
        AesopinspectionlistService service2 = new AesopinspectionlistService();
        AesopinspectionlistDTO[] arrDto2 = null;
        arrDto2 = service2.selectAesopinspectionlistList( aesopinspectionlistDTO );
        request.setAttribute( "arrDto2", arrDto2 );
        
        Collection defect_weight_cd = service.selectDefect_weightCodeList();
        session.setAttribute( "defect_weight_cd", defect_weight_cd );
        Collection defect_type_cd = service.selectDefect_typeCodeList();
        session.setAttribute( "defect_type_cd", defect_type_cd );
        Collection stage_cd = service.selectStageCodeList();
        session.setAttribute( "stage_cd", stage_cd );
        Collection fix_yn_cd = service.selectFix_ynCodeList();
        session.setAttribute( "fix_yn_cd", fix_yn_cd );


        return (mapping.findForward("insert"));
    }
}

