
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionlistDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.dto;

public class AesopinspectionlistDTO {

    private String pkey;
    private int    combovalue;
    private int    user_eid;
    private int    document_eid;
    private int    overview_eid;
    private int    inspection_eid;
    private int    preparation_eid;
    private int    inspectionlist_eid;
    private String detect_position;
    private int    defect_weight;
    private String    defect_weight_lb;
    private int    defect_type;
    private int    stage;
    private String comments;
    private int    fix_yn;
    private int    fix_time;
    private int    defect_weight_cd;
    private int    defect_type_cd;
    private int    stage_cd;
    private int    fix_yn_cd;

    public AesopinspectionlistDTO() {
        super();
    }

    
	public synchronized String getDefect_weight_lb() {
		return defect_weight_lb;
	}


	public synchronized void setDefect_weight_lb(String defect_weight_lb) {
		this.defect_weight_lb = defect_weight_lb;
	}


	public synchronized int getCombovalue() {
		return combovalue;
	}

	public synchronized void setCombovalue(int combovalue) {
		this.combovalue = combovalue;
	}

	public synchronized String getComments() {
		return comments;
	}

	public synchronized void setComments(String comments) {
		this.comments = comments;
	}

	public synchronized int getDefect_type() {
		return defect_type;
	}

	public synchronized void setDefect_type(int defect_type) {
		this.defect_type = defect_type;
	}

	public synchronized int getDefect_type_cd() {
		return defect_type_cd;
	}

	public synchronized void setDefect_type_cd(int defect_type_cd) {
		this.defect_type_cd = defect_type_cd;
	}

	public synchronized int getDefect_weight() {
		return defect_weight;
	}

	public synchronized void setDefect_weight(int defect_weight) {
		this.defect_weight = defect_weight;
	}

	public synchronized int getDefect_weight_cd() {
		return defect_weight_cd;
	}

	public synchronized void setDefect_weight_cd(int defect_weight_cd) {
		this.defect_weight_cd = defect_weight_cd;
	}

	public synchronized String getDetect_position() {
		return detect_position;
	}

	public synchronized void setDetect_position(String detect_position) {
		this.detect_position = detect_position;
	}

	public synchronized int getDocument_eid() {
		return document_eid;
	}

	public synchronized void setDocument_eid(int document_eid) {
		this.document_eid = document_eid;
	}

	public synchronized int getFix_time() {
		return fix_time;
	}

	public synchronized void setFix_time(int fix_time) {
		this.fix_time = fix_time;
	}

	public synchronized int getFix_yn() {
		return fix_yn;
	}

	public synchronized void setFix_yn(int fix_yn) {
		this.fix_yn = fix_yn;
	}

	public synchronized int getFix_yn_cd() {
		return fix_yn_cd;
	}

	public synchronized void setFix_yn_cd(int fix_yn_cd) {
		this.fix_yn_cd = fix_yn_cd;
	}

	public synchronized int getInspection_eid() {
		return inspection_eid;
	}

	public synchronized void setInspection_eid(int inspection_eid) {
		this.inspection_eid = inspection_eid;
	}

	public synchronized int getInspectionlist_eid() {
		return inspectionlist_eid;
	}

	public synchronized void setInspectionlist_eid(int inspectionlist_eid) {
		this.inspectionlist_eid = inspectionlist_eid;
	}

	public synchronized int getOverview_eid() {
		return overview_eid;
	}

	public synchronized void setOverview_eid(int overview_eid) {
		this.overview_eid = overview_eid;
	}

	public synchronized String getPkey() {
		return pkey;
	}

	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}

	public synchronized int getPreparation_eid() {
		return preparation_eid;
	}

	public synchronized void setPreparation_eid(int preparation_eid) {
		this.preparation_eid = preparation_eid;
	}

	public synchronized int getStage() {
		return stage;
	}

	public synchronized void setStage(int stage) {
		this.stage = stage;
	}

	public synchronized int getStage_cd() {
		return stage_cd;
	}

	public synchronized void setStage_cd(int stage_cd) {
		this.stage_cd = stage_cd;
	}

	public synchronized int getUser_eid() {
		return user_eid;
	}

	public synchronized void setUser_eid(int user_eid) {
		this.user_eid = user_eid;
	}

}
