
/*
 * -----------------------------------------------------------------------------
 * File  Name     : WordsearchDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.09.25
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.09.25      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.wordsearch.dto;

public class WordsearchDTO {

    private String pkey;
    private int    combovalue;
    private int    eid;
    private String word;
    private String tagging;
    private String description;
    private String descriptioninfile;

    public WordsearchDTO() {
        super();
    }

    public synchronized String getPkey(){
        return pkey;
    }

    public synchronized void setPkey( String pkey ){
        this.pkey = pkey;
    }

    public synchronized int getCombovalue(){
        return combovalue;
    }

    public synchronized void setCombovalue( int combovalue ){
        this.combovalue = combovalue;
    }

    public synchronized int getEid(){
        return eid;
    }

    public synchronized void setEid( int eid ){
        this.eid = eid;
    }

    public synchronized String getWord(){
        return word;
    }

    public synchronized void setWord( String word ){
        this.word = word;
    }

    public synchronized String getTagging(){
        return tagging;
    }

    public synchronized void setTagging( String tagging ){
        this.tagging = tagging;
    }

    public synchronized String getDescription(){
        return description;
    }

    public synchronized void setDescription( String description ){
        this.description = description;
    }


    public synchronized String getDescriptioninfile(){
        return descriptioninfile;
    }

    public synchronized void setDescriptioninfile( String descriptioninfile ){
        this.descriptioninfile = descriptioninfile;
    }

}
