
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspection.selectlist"/></title>
  </head>
  <body>

    <bean:message key="menu.4"/>    
    <h1><bean:message key="title.aesopinspection.selectlist"/></h1>
    <table border=1>
    <c:forEach var="arrDto" items="${arrDto}">
      <tr>
        <td><a href='<%=request.getContextPath()%>/SelectAesopinspection.do?user_eid=<c:out value="${arrDto.user_eid}"/>'><c:out value="${arrDto.user_eid}"/></a></td>
        <td><c:out value="${arrDto.document_eid}"/></td>
        <td><c:out value="${arrDto.overview_eid}"/></td>
        <td><c:out value="${arrDto.eid}"/></td>
        <td><c:out value="${arrDto.teamname}"/></td>
        <td><c:out value="${arrDto.result_type}"/></td>
        <td><c:out value="${arrDto.result_type_description}"/></td>
        <td><c:out value="${arrDto.date}"/></td>
        <td><c:out value="${arrDto.doc_size_expect}"/></td>
        <td><c:out value="${arrDto.doc_size_result}"/></td>
        <td><c:out value="${arrDto.overview_time}"/></td>
        <td><c:out value="${arrDto.preparation_time}"/></td>
        <td><c:out value="${arrDto.inspection_time}"/></td>
        <td><c:out value="${arrDto.majorcount}"/></td>
        <td><c:out value="${arrDto.minorcount}"/></td>
        <td><c:out value="${arrDto.reinspection_yn}"/></td>
        <td><c:out value="${arrDto.reinspection_date}"/></td>
        <td><c:out value="${arrDto.rework_check_user_eid}"/></td>
        <td><c:out value="${arrDto.rework_time}"/></td>
        <td><c:out value="${arrDto.producer_eid}"/></td>
        <td><c:out value="${arrDto.moderator_eid}"/></td>
        <td><c:out value="${arrDto.reader_eid}"/></td>
        <td><c:out value="${arrDto.recorder_eid}"/></td>
        <td><c:out value="${arrDto.inspector1_eid}"/></td>
        <td><c:out value="${arrDto.inspector2_eid}"/></td>
        <td><c:out value="${arrDto.inspector3_eid}"/></td>
        <td><c:out value="${arrDto.inspector4_eid}"/></td>
        <td><c:out value="${arrDto.inspector5_eid}"/></td>
        <td><c:out value="${arrDto.inspector6_eid}"/></td>
        <td><c:out value="${arrDto.inspector7_eid}"/></td>
        <td><c:out value="${arrDto.inspector8_eid}"/></td>
        <td><c:out value="${arrDto.inspector9_eid}"/></td>
        <td><c:out value="${arrDto.inspector10_eid}"/></td>
      </tr>
    </c:forEach>
    </table>
    <html:link page="/InsertAesopinspectionInit.do"><bean:message key="title.aesopinspection.insert"/></html:link><br>
  </body>
</html>
