
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspectionlist.update"/></title>
  </head>
  <body>
    <!--  -->
    <div id='wikiHeader'>
    <!-- () -->

  <bean:message key="menu.4"/>    
  <h1><bean:message key="title.aesopinspectionlist.update"/></h1>
  <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
  </logic:messagesPresent>
  <logic:messagesPresent message="true">
         <html:messages id="message" message="true">
           <span id="success"><c:out value="${message}"/></span><br>
         </html:messages>
  </logic:messagesPresent>
  <html:form action="UpdateAesopinspectionlistAction" >
  <html:hidden name="AesopinspectionlistForm" property="user_eid"/>
  <html:hidden name="AesopinspectionlistForm" property="document_eid"/>
  <html:hidden name="AesopinspectionlistForm" property="overview_eid"/>
  <html:hidden name="AesopinspectionlistForm" property="inspection_eid"/>
  <html:hidden name="AesopinspectionlistForm" property="inspectionlist_eid"/>
  <html:hidden name="AesopinspectionlistForm" property="fix_yn"/>
  <html:hidden name="AesopinspectionlistForm" property="fix_time"/>
  <table>
    <tr>
      <td>Defect߰ġ:</td>
      <td><html:text property="detect_position"/></td>
    </tr>
    <tr>
      <td>Major/Minor/Open/Improve:</td>
      <td>
        <html:select name="AesopinspectionlistForm" property="defect_weight">
          <html:options collection="defect_weight_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Defect Type:</td>
      <td>
        <html:select name="AesopinspectionlistForm" property="defect_type">
          <html:options collection="defect_type_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td> ܰ:</td>
      <td>
        <html:select name="AesopinspectionlistForm" property="stage">
          <html:options collection="stage_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>:</td>
      <td>
        <html:textarea property="comments" cols="40" rows="10" />
      </td>
    </tr>
  </table>
  <html:submit><bean:message key="button.update"/></html:submit>
  </html:form>
  <br>
  <a href='<%=request.getContextPath()%>/InsertAesopinspectionlistInit.do?document_eid=<c:out value="${dto.document_eid}"/>&overview_eid=<c:out value="${dto.overview_eid}"/>&user_eid=<c:out value="${dto.user_eid}"/>&inspection_eid=<c:out value="${dto.inspection_eid}"/>&preparation_eid=<c:out value="${dto.preparation_eid}"/>'><bean:message key="button.cancel"/></a>
 
    <!--  -->
    <hr class='wikiHr' />
    <div id='wikiBody'>
      <div id='wikiContent'>
        <div class='indent'>
    <!-- () -->
    
    <h2>Inspection</h2>
    
    <!--  -->
    </div></div></div>
    <!-- () -->
    <!-- 볡 -->
    </div>
    <!-- 볡() -->
  </body>
</html>